import { useMutation, useQuery } from "@tanstack/react-query";
import * as api from "../service/DesignerService";

export const useInitiateDesignRequest = () => {
  return useMutation({
    mutationFn: api.initiateDesignRequest,
  });
};

export const useGetDesignRequests = () => {
  return useQuery({
    queryKey: ["design-requests"],
    queryFn: api.getDesignRequests,
  });
};
